Bug 1395580 - blivet.errors.FSError: umount of /run/install/isodir failed (32)
Summary: blivet.errors.FSError: umount of /run/install/isodir failed (32)
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b7c87c656b5e080f6fc09b8c524...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 09:21 UTC by lnie
Modified: 2017-12-12 10:31 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:31:32 UTC


Attachments (Terms of Use)
File: anaconda-tb (518.08 KB, text/plain)
2016-11-16 09:22 UTC, lnie
no flags Details
File: anaconda.log (32.83 KB, text/plain)
2016-11-16 09:22 UTC, lnie
no flags Details
File: dnf.librepo.log (11.05 KB, text/plain)
2016-11-16 09:22 UTC, lnie
no flags Details
File: environ (482 bytes, text/plain)
2016-11-16 09:22 UTC, lnie
no flags Details
File: hawkey.log (1.05 KB, text/plain)
2016-11-16 09:22 UTC, lnie
no flags Details
File: lsblk_output (1.59 KB, text/plain)
2016-11-16 09:22 UTC, lnie
no flags Details
File: nmcli_dev_list (1.20 KB, text/plain)
2016-11-16 09:22 UTC, lnie
no flags Details
File: os_info (449 bytes, text/plain)
2016-11-16 09:22 UTC, lnie
no flags Details
File: storage.log (45.48 KB, text/plain)
2016-11-16 09:22 UTC, lnie
no flags Details
File: syslog (242.60 KB, text/plain)
2016-11-16 09:23 UTC, lnie
no flags Details
File: ifcfg.log (2.40 KB, text/plain)
2016-11-16 09:23 UTC, lnie
no flags Details
File: packaging.log (3.55 KB, text/plain)
2016-11-16 09:23 UTC, lnie
no flags Details
File: program.log (27.42 KB, application/octet-stream)
2016-11-16 09:23 UTC, lnie
no flags Details

Description lnie 2016-11-16 09:21:04 UTC
Description of problem:
add a inst.repo=hd* option,then change the Installation source to a valid http one,
this bug happens serveral seconds later

Version-Release number of selected component:
anaconda-25.20.8-1

The following was filed automatically by anaconda:
anaconda 25.20.8-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.5/site-packages/blivet/formats/fs.py", line 560, in _teardown
    raise FSError("umount of %s failed (%d)" % (mountpoint, rc))
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/formats/__init__.py", line 645, in teardown
    self._teardown(**kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 398, in _pre_teardown
    self.original_format.teardown()
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 412, in teardown
    if not self._pre_teardown(recursive=recursive):
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/packaging/__init__.py", line 867, in reset_install_device
    self.install_device.teardown(recursive=True)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/packaging/__init__.py", line 849, in reset
    self.reset_install_device()
  File "/usr/lib64/python3.5/site-packages/pyanaconda/packaging/dnfpayload.py", line 907, in reset
    super(DNFPayload, self).reset()
  File "/usr/lib64/python3.5/site-packages/pyanaconda/packaging/dnfpayload.py", line 916, in updateBaseRepo
    self.reset()
  File "/usr/lib64/python3.5/site-packages/pyanaconda/packaging/__init__.py", line 1357, in _runThread
    payload.updateBaseRepo(fallback=fallback, checkmount=checkmount)
  File "/usr/lib64/python3.5/threading.py", line 862, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
blivet.errors.FSError: umount of /run/install/isodir failed (32)

Additional info:
addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-WS-dvd-x86_64-25 rd.live.check quiet inst.repo=hd:sdb:/Fedora-Server-dvd-x86_64-25-1.3.iso
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.8.6-300.fc25.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        25

Comment 1 lnie 2016-11-16 09:22:40 UTC
Created attachment 1221066 [details]
File: anaconda-tb

Comment 2 lnie 2016-11-16 09:22:44 UTC
Created attachment 1221067 [details]
File: anaconda.log

Comment 3 lnie 2016-11-16 09:22:46 UTC
Created attachment 1221068 [details]
File: dnf.librepo.log

Comment 4 lnie 2016-11-16 09:22:48 UTC
Created attachment 1221069 [details]
File: environ

Comment 5 lnie 2016-11-16 09:22:50 UTC
Created attachment 1221070 [details]
File: hawkey.log

Comment 6 lnie 2016-11-16 09:22:51 UTC
Created attachment 1221071 [details]
File: lsblk_output

Comment 7 lnie 2016-11-16 09:22:53 UTC
Created attachment 1221072 [details]
File: nmcli_dev_list

Comment 8 lnie 2016-11-16 09:22:55 UTC
Created attachment 1221073 [details]
File: os_info

Comment 9 lnie 2016-11-16 09:22:59 UTC
Created attachment 1221074 [details]
File: storage.log

Comment 10 lnie 2016-11-16 09:23:37 UTC
Created attachment 1221075 [details]
File: syslog

Comment 11 lnie 2016-11-16 09:23:39 UTC
Created attachment 1221076 [details]
File: ifcfg.log

Comment 12 lnie 2016-11-16 09:23:41 UTC
Created attachment 1221077 [details]
File: packaging.log

Comment 13 lnie 2016-11-16 09:23:46 UTC
Created attachment 1221078 [details]
File: program.log

Comment 14 Fedora End Of Life 2017-11-16 18:39:41 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:31:32 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.